[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedRasterImage.HandleAllocated

Determines whether the Handle for the class has been allocated.

## Declaration

Source position: graphics.pp line 1231

`public function TSharedRasterImage.HandleAllocated: Boolean; override;`

## Function result

True when the handle for the shared image has been allocated.

## Description

Implements the abstract virtual method defined in TSharedImage. The return value is True when the internal handle contains a non-zero value.

## See also

TSharedImage.HandleAllocated |  | Indicates whether a handle been allocated for the image.
LCLType.TLCLHandle |  | Alias to the TLCLHandle type defined for widgetset references.
WSReferences.TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.